DEPRECATION WARNING

This documentation is not using the current rendering mechanism and will be deleted by December 31st, 2020. The extension maintainer should switch to the new system. Details on how to use the rendering mechanism can be found here.

Version 4.x

Upgrade from 3.x to 4.0.0

“Packagist support”

Changelog

https://github.com/fnagel/t3extblog/compare/3.0.2…4.0.0

  • Extension is now available on Packagist
  • Fixed all “TCA Migrations” warnings in install tool
  • Code quality improvements
  • Use default 404 handler for hidden or deleted records
  • Add update wizard check for invalid comments (EXT:t3blog migration helper)
  • Fix SQL for using workspace and versioning
  • Some minor bugfixes

Breaking changes

  • Changed PHP class namespace
  • Changed composer package name
  • Removed support for TYPO3 7.x
  • PHP 5.6 is no longer supported

How to upgrade

  1. Adjust your class auto loading or class overwrites to new namespace / composer package name (if needed for your setup)
  2. Use “Clear all caches including PHP opcode cache” and “Dump Autoload Information” in the install tool (if needed for your setup)
  3. Use “Compare database” in install tool to adjust changed DB fields
  4. Adjust VH namespace in your overwrite templates
  5. Clear all caches